/*****************************************************************************
* libragephoto RAGE Photo Parser
* Copyright (C) 2021 Syping
*
* Redistribution and use in source and binary forms, with or without modification,
* are permitted provided that the following conditions are met:
*
* 1. Redistributions of source code must retain the above copyright notice,
* this list of conditions and the following disclaimer.
*
* 2. Redistributions in binary form must reproduce the above copyright notice,
* this list of conditions and the following disclaimer in the documentation
* and/or other materials provided with the distribution.
*
* This software is provided as-is, no warranties are given to you, we are not
* responsible for anything with use of the software, you are self responsible.
*****************************************************************************/

#ifndef RAGEPHOTO_P_H
#define RAGEPHOTO_P_H

#include "RagePhotoData.h"
#include <iostream>
#include <unordered_map>

class RagePhotoPrivate {
public:
    std::unordered_map<uint8_t, RagePhotoLoadFunc> m_loadFuncs;
    RagePhotoData m_data;
};
#endif // RAGEPHOTO_P_H
